IRCD(8)

NAME
ircd - The Internet Relay Chat Program Server

SYNOPSIS

ircd
    [-a] [-c] [-i] [-o] [-q] [-t] [-d directory] [-f configfile] [-x debuglevel] [-h hostname] [-p portnum] [-s]

DESCRIPTION

ircd is the server (daemon) program for the Internet Relay Chat Program. The ircd is a server in that its function is to "serve" the client program irc(1) with messages and commands. All commands and user messages are passed directly to the ircd for processing and relaying to other ircd sites. The irc(1) program depends upon there being an ircd server running somewhere (either on your local UNIX site or a remote ircd site) so that it will have somewhere to connect to and thus allow the user to begin talking to other users.

OPTIONS

-d directory
    This option tells the server to change to that directory and use that as a reference point when opening ircd.conf and other startup files.

-o  Starts up a local ircdaemon. Standard input can be used to send IRC commands to the daemon. The user logging in from standard input will be given operator privileges on this local ircd. If ircd is a setuid program, it will call setuid(getuid()) before going to local mode. This option can be used in inetd.conf to allow users to open their own irc clients by simply connecting their clients to the correct ports. For example:

irc stream tcp nowait irc /etc/ircd ircd \-f/etc/ircd.conf \-o
    allows users connecting to irc port (specified in /etc/services) to start up their own ircdaemon. The configuration file should be used to check from which hosts these connections are allowed from. This option also turns on the autodie option -a.

-a  Instructs the server to automatically die off if it loses all it's clients.

-t  Instructs the server to direct debugging output to standard output.

-x# Defines the debuglevel for ircd. The higher the debuglevel, the more stuff gets directed to debugging file (or standard output if -t option was used as well).

-i  The server was started by inetd and it should start accepting connections from standard input. The following inetd.conf-line could be used to start up ircd automatically when needed:

ircd stream tcp wait irc /etc/ircd ircd -i
    allows inetd to start up ircd on request.

-f filename
    Specifies the ircd.conf file to be used for this ircdaemon. The option is used to override the default ircd.conf given at compile time.

-c  This flag must be given if you are running ircd from /dev/console or any other situation where fd 0 isnt a tty and you want the server to fork off and run in the background. This needs to be given if you are starting ircd from an rc (such as /etc/rc.local) file.

-q  Using the -q option stops the server from doing DNS lookups on all the servers in your ircd.conf file when it boots. This can take a lengthy amount of time if you have a large number of servers and they are not all close by.

-h hostname
    Allows the user to manually set the server name at startup. The default name is hostname.domainname.

-p portname
    Specifies the port where the daemon should start waiting for connections. This overrides the default which is given at compile time.

-s  Send debugging output to stderr and don't fork. Exteremely useful when IRCD runs and immediately exits.

If you plan to connect your ircd server to an existing Irc-Network,
you will need to alter your local IRC CONFIGURATION FILE (typically named
    "ircd.conf") so that it will accept and make connections to other ircd servers. This file contains the hostnames, Network Addresses, and sometimes passwords for connections to other ircds around the world. Because description of the actual file format of the "ircs.conf" file is beyond the scope of this document, please refer to the file INSTALL in the IRC source files documentation directory.

BOOTING THE SERVER: The ircd server can be started as part of the UNIX boot procedure or just by placing the server into Unix Background. Keep in mind that if it is *not* part of your UNIXES Boot-up procedure then you will have to manually start the ircd server each time your UNIX is rebooted. This means if your UNIX is prone to crashing or going for for repairs a lot it would make sense to start the ircd server as part of your UNIX bootup procedure. In some cases the irc(1) will automatically attempt to boot the ircd server if the user is on the SAME UNIX that the ircd is supposed to be running on. If the irc(1) cannot connect to the ircd server it will try to start the server on it's own and will then try to reconnect to the newly booted ircd server.

EXAMPLE
    tolsun% ircd

Places ircd into UNIX Background and starts up the server for use. Note: You do not have to add the "&" to this command, the program will automatically detach itself from tty.

COPYRIGHT
(c) 1988,1989 University of Oulu, Computing Center, Finland,

(c) 1988,1989 Department of Information Processing Science, University of Oulu, Finland

(c) 1988,1989,1990,1991 Jarkko Oikarinen

For full COPYRIGHT see LICENSE file with IRC package.

FILES
 /etc/utmp
 "ircd.conf"

SEE ALSO
irc(1)

BUGS
None... ;-) if somebody finds one, please inform author

AUTHOR
Jarkko Oikarinen, currently jto@tolsun.oulu.fi, manual page written by Jeff Trim, jtrim@orion.cair.du.edu, later modified by jto@tolsun.oulu.fi.